Skip to main content
GET
/
instagram
/
contact
cURL
curl -X GET "https://apiv3.creatordb.app/instagram/contact?uniqueId=iamcardib" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "emails": [
      "dwikiryslamyo@gmail.com"
    ]
  },
  "quotaUsed": 1,
  "quotaUsedTotal": 1,
  "remainingQuota": -1,
  "traceId": "17ab5d1484d5385d464a6c951dcfe98c",
  "timestamp": 1767933868517,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

uniqueId
string
required

Instagram account ID. Accepts instagram or @instagram format (@ is stripped automatically).

Required string length: 1 - 31
Pattern: ^@?[a-zA-Z0-9._]+$
Example:

"instagram"

Response

Instagram contact information returned successfully.

data
object
required

Contact information of the specified Instagram creator.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026